/*******************************************************************************
 * Copyright 2011 John Casey
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.commonjava.couch.change.dispatch;

import javax.enterprise.event.Event;
import javax.inject.Inject;
import javax.inject.Singleton;

import org.commonjava.couch.change.CouchDocChange;

@Singleton
public class J2EEChangeDispatcher
    implements CouchChangeDispatcher
{

    @Inject
    private Event<CouchChangeJ2EEEvent> event;

    @Override
    public void documentChanged( final CouchDocChange change )
    {
        event.fire( new CouchChangeJ2EEEvent( change ) );
    }

}
